Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationMail

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationMail

extends java.rmi.Remote

The `RemoteConfigurationMail` interface provides methods to configure mail setting on JReport Server via RMI, the mail setting works for sending mail related functions on JReport server like: schedule task that publishes to mail, send notification mail, etc.
This is a RMI-based interface, invocation on method of this interface will bring a RMI call on associated JReport Server underlying.

Method Summary
`boolean` | `getAuthentication()` Checks if the smtp server requires authentication for sending mails.
`java.lang.String` | `getAuthenticationPassword()` Get login password, which is used when `getAuthentication()` return true
`java.lang.String` | `getAuthenticationUser()` Get login user name, which is used when `getAuthentication()` return true
`int` | `getDefaultMailFormat()` Gets the mail format sent out for the schedule of publishing to E-mail.
`boolean` | `getEnableCompress()` Checks whether to compress the mail attachment.
`java.lang.String` | `getEncoding()` Get the encoding for notification E-mail title and comments
`java.lang.String` | `getMailBox()` Returns the address of the mail sender, for mails sent by JReport server.
`java.util.Vector` | `getMailFormats()` Gets all mail formats.
`int` | `getMailPort()` Returns the smtp mail server's port.
`java.lang.String` | `getMailServer()` Returns the smtp mail server's name.
`int` | `getMaxMailPage()` Gets the maximum page of the mail's attachment in PDF format
`int` | `getMaxMailSize()` Gets the maximum size of the mail's attachment in PDF format
`int` | `getSplitBy()` Gets the setting of splitting PDF attachment.
`boolean` | `getSSL()` Checks if the smtp server requires SSL for sending mails.
`void` | `setAuthentication(boolean isEnable)` Sets if the smtp server requires authentication for sending mails.
`void` | `setAuthenticationPassword(java.lang.String pqssword)` Set login password, which is used when `getAuthentication()` return true
`void` | `setAuthenticationUser(java.lang.String username)` Set login user name, which is used when `getAuthentication()` return true
`void` | `setEnableCompress(boolean isEnable)` Sets whether to compress the mail attachment.
`void` | `setEncoding(java.lang.String encoding)` Set the encoding for notification E-mail title and comments
`void` | `setMailBox(java.lang.String mailBox)` Sets the address of the mail sender, for mails sent by JReport server.
`void` | `setMailFormat(int mailFormat)` Sets the default mail format sent out for the schedule of publishing to E-mail.
`void` | `setMailPort(int port)` Sets the smtp mail server's port.
`void` | `setMailServer(java.lang.String smtpServerName)` Sets the smtp mail server's name.
`void` | `setMaxMailPage(int page)` Sets the maximum page of the mail's attachment in PDF format.
`void` | `setMaxMailSize(int size)` Sets the maximum size of the mail's attachment in PDF format.
`void` | `setSplitBy(int split)` Setd whether to split PDF attachment by size or by page.
`void` | `setSSL(boolean isEnable)` Sets if the smtp server requires SSL for sending mails.

Method Detail

### setMailServer

    void setMailServer(java.lang.String smtpServerName)
                       throws java.rmi.RemoteException

  Sets the smtp mail server's name.

  Parameters:
    `smtpServerName` - the smtp mail server's name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMailServer

    java.lang.String getMailServer()
                                   throws java.rmi.RemoteException

  Returns the smtp mail server's name.

  Returns:
    the smtp mail server's name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMailPort

    void setMailPort(int port)
                     throws java.rmi.RemoteException

  Sets the smtp mail server's port.

  Parameters:
    `port` - the smtp mail server's port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMailPort

    int getMailPort()
                    throws java.rmi.RemoteException

  Returns the smtp mail server's port.

  Returns:
    the smtp mail server's port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMailBox

    void setMailBox(java.lang.String mailBox)
                    throws java.rmi.RemoteException

  Sets the address of the mail sender, for mails sent by JReport server.

  Parameters:
    `mailBox` - the address of the mail sender.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMailBox

    java.lang.String getMailBox()
                                throws java.rmi.RemoteException

  Returns the address of the mail sender, for mails sent by JReport server.

  Returns:
    the address of the mail sender.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMailFormat

    void setMailFormat(int mailFormat)
                       throws java.rmi.RemoteException

  Sets the default mail format sent out for the schedule of publishing to E-mail.

  Parameters:
    `mailFormat` - the mail format sent out. The available values are: 0: E-mail Result in HTML E-mail Format, 1: E-mail Result in Plain Text E-mail Format, 2: Attachment in JReport Result Format, 3: Attachment in HTML Format, 4: Attachment in PDF Format, 5: Attachment in Excel Format, 6: Attachment in Text Format, 7: Attachment in RTF Format, 8: Attachment in XML Format, 9: Attachment in PostScript Format.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getDefaultMailFormat

    int getDefaultMailFormat()
                             throws java.rmi.RemoteException

  Gets the mail format sent out for the schedule of publishing to E-mail.

  Returns:
    the mail format sent out. The available values are: 0: E-mail Result in HTML E-mail Format, 1: E-mail Result in Plain Text E-mail Format, 2: Attachment in JReport Result Format, 3: Attachment in HTML Format, 4: Attachment in PDF Format, 5: Attachment in Excel Format, 6: Attachment in Text Format, 7: Attachment in RTF Format, 8: Attachment in XML Format, 9: Attachment in PostScript Format.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMailFormats

    java.util.Vector getMailFormats()
                                    throws java.rmi.RemoteException

  Gets all mail formats.

  Returns:
    vector all the mail formats containing below strings to represent each mail format: "E-mail Result in HTML E-mail Format", "E-mail Result in Plain Text E-mail Format", "Attachment in JReport Result Format", "Attachment in HTML Format", "Attachment in PDF Format", "Attachment in Excel Format", "Attachment in Text Format", "Attachment in RTF Format", "Attachment in XML Format", "Attachment in PostScript Format".
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setEnableCompress

    void setEnableCompress(boolean isEnable)
                           throws java.rmi.RemoteException

  Sets whether to compress the mail attachment.

  Parameters:
    `isEnable` - true if it enables to compress the mail, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getEnableCompress

    boolean getEnableCompress()
                              throws java.rmi.RemoteException

  Checks whether to compress the mail attachment.

  Returns:
    true if it enables to compress, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxMailSize

    void setMaxMailSize(int size)
                        throws java.rmi.RemoteException

  Sets the maximum size of the mail's attachment in PDF format. The size will take effect after the method `setSplitBy()` is invoked and the parameter value is `SPLIT_BY_SIZE`.

  Parameters:
    `size` - the maximum size of the mail's attachment in PDF format
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMaxMailSize

    int getMaxMailSize()
                       throws java.rmi.RemoteException

  Gets the maximum size of the mail's attachment in PDF format

  Returns:
    the maximum size of the mail's attachment in PDF format
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxMailPage

    void setMaxMailPage(int page)
                        throws java.rmi.RemoteException

  Sets the maximum page of the mail's attachment in PDF format. The value will take effect after the method `setSplitBy()` is invoked and the parameter value is `SPLIT_BY_PAGE`.

  Parameters:
    `page` - the maximum page of the mail's attachment in PDF format
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMaxMailPage

    int getMaxMailPage()
                       throws java.rmi.RemoteException

  Gets the maximum page of the mail's attachment in PDF format

  Returns:
    the maximum page of the mail's attachment in PDF format
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSplitBy

    void setSplitBy(int split)
                    throws java.rmi.RemoteException

  Setd whether to split PDF attachment by size or by page. By default JReport Server splits PDF attachment by size and the maximum size is unlimited.

  Parameters:
    `split` - indicates whether to split PDF by size or by page. `SPLIT_BY_SIZE(0)` means split by size, `SPLIT_BY_PAGE(1)` means split by page.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSplitBy

    int getSplitBy()
                   throws java.rmi.RemoteException

  Gets the setting of splitting PDF attachment. By default JReport Server splits PDF attachment by size and the maximum size is unlimited.

  Returns:
    the setting of splitting PDF by size or by page, `SPLIT_BY_SIZE(0)` means split by size, `SPLIT_BY_PAGE(1)` means split by page.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setAuthentication

    void setAuthentication(boolean isEnable)
                           throws java.rmi.RemoteException

  Sets if the smtp server requires authentication for sending mails. if it is set to true, JReport Server will let you input authentication information on the schedule of publishing to E-mail page.

  Parameters:
    `isEnable` - whether smtp server requires authentication for sending mails.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getAuthentication

    boolean getAuthentication()
                              throws java.rmi.RemoteException

  Checks if the smtp server requires authentication for sending mails.

  Returns:
    true if the smtp server requires authentication for sending mails, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSL

    void setSSL(boolean isEnable)
                throws java.rmi.RemoteException

  Sets if the smtp server requires SSL for sending mails.

  Parameters:
    `isEnable` - whether smtp server requires SSL for sending mails.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSL

    boolean getSSL()
                   throws java.rmi.RemoteException

  Checks if the smtp server requires SSL for sending mails.

  Returns:
    true if the smtp server requires SSL for sending mails, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getEncoding

    java.lang.String getEncoding()
                                 throws java.rmi.RemoteException

  Get the encoding for notification E-mail title and comments

  Returns:
    encoding
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setEncoding

    void setEncoding(java.lang.String encoding)
                     throws java.rmi.RemoteException

  Set the encoding for notification E-mail title and comments

  Parameters:
    `encoding` - encoding that want to set
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getAuthenticationUser

    java.lang.String getAuthenticationUser()
                                           throws java.rmi.RemoteException

  Get login user name, which is used when `getAuthentication()` return true

  Returns:
    login user name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setAuthenticationUser

    void setAuthenticationUser(java.lang.String username)
                               throws java.rmi.RemoteException

  Set login user name, which is used when `getAuthentication()` return true

  Parameters:
    `username` - login user name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getAuthenticationPassword

    java.lang.String getAuthenticationPassword()
                                               throws java.rmi.RemoteException

  Get login password, which is used when `getAuthentication()` return true

  Returns:
    login password
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setAuthenticationPassword

    void setAuthenticationPassword(java.lang.String pqssword)
                                   throws java.rmi.RemoteException

  Set login password, which is used when `getAuthentication()` return true

  Parameters:
    `pqssword` - login password
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD